package com.test.basd.onecleanmaster.notificationclean

import android.content.Intent
import android.graphics.Color
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.blankj.utilcode.util.SPUtils
import com.test.basd.onecleanmaster.databinding.ActivityLayoutNotificationGuestBinding
import com.test.basd.onecleanmaster.helps.BaseActivity

class NotificationGuestActivity : BaseActivity<ActivityLayoutNotificationGuestBinding>() {


    override val binding: ActivityLayoutNotificationGuestBinding by lazy {
        ActivityLayoutNotificationGuestBinding.inflate(layoutInflater)
    }


    override fun initView() {
        BarUtils.setStatusBarLightMode(this, true)
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())
        binding.idTzGuest.imageAssetsFolder = "quick_ying_dao/images/"
        binding.idTzGuest.setAnimation("quick_ying_dao/data.json")
        binding.idTzGuest.playAnimation()
        SPUtils.getInstance().put("notification_guest", true)
        binding.idTvTryNow.setOnClickListener {
            startActivity(Intent(this, NotificationCleanActivity::class.java))
            finish()
        }
        binding.idTGuanbi.setOnClickListener {
            finishToMain()
        }
    }

}